use enumflags2::bitflags;
#[cfg(test)]
use serde_derive::{Deserialize, Serialize};

#[bitflags]
#[repr(u8)]
#[derive(Eq, PartialEq, Debug, Copy, Clone)]
#[cfg_attr(test, derive(Serialize, Deserialize))]
pub enum FuncAttr {
    Override,
    Final,
    Explicit,
    Property,
}
