use enumflags2::bitflags;
#[cfg(test)]
use serde_derive::{Deserialize, Serialize};

#[bitflags]
#[repr(u8)]
#[derive(Debug, Copy, Clone, PartialEq, Eq)]
#[cfg_attr(test, derive(Serialize, Deserialize))]
pub enum TypeModifier {
    External = 0x01,
    Shared = 0x02,
    Abstract = 0x04,
    Final = 0x08,
}

#[bitflags]
#[repr(u8)]
#[derive(Debug, Copy, Clone, PartialEq, Eq)]
#[cfg_attr(test, derive(Serialize, Deserialize))]
pub enum FieldModifier {
    Private = 0x01,
    Protected = 0x02,
}
