use enumflags2::bitflags;
#[cfg(test)]
use serde_derive::{Deserialize, Serialize};

#[derive(Eq, PartialEq, Debug)]
#[cfg_attr(test, derive(Serialize, Deserialize))]
pub enum ParsedTypeModifier {
    Array,
    Handle,
    ConstHandle,
}

#[bitflags]
#[repr(u8)]
#[derive(Eq, PartialEq, Debug, Copy, Clone)]
#[cfg_attr(test, derive(Serialize, Deserialize))]
pub enum ReferenceModifier {
    In,
    Out,
}
